<template>
  <div class="home">
    <SyncButton class="sync" />
    <RegisterForm class="formulary" />
    <RegisteredList class="list" />
    <AssignmentList class="list" />
  </div>
</template>

<script>
// @ is an alias to /src
import SyncButton from '@/components/SyncButton'
import RegisterForm from '@/components/RegisterForm'
import RegisteredList from '@/components/RegisteredList'
import AssignmentList from '@/components/AssignmentList'

export default {
  name: 'home',
  components: {
    SyncButton,
    RegisterForm,
    RegisteredList,
    AssignmentList
  }
}
</script>

<style lang="scss" scoped>
.home {
  display: flex;

  width: 100%;
  justify-content: space-evenly;
}

.formulary {
  max-width: 40em;

  flex: 1;
}

.list {
  max-width: 40em;
}
</style>
